disable tests that mess with system wide settings

https://bugs.gentoo.org/519062

--- a/tests/bugzillas/bz1031154/runtest.sh
+++ b/tests/bugzillas/bz1031154/runtest.sh
@@ -11,6 +11,8 @@
 result=PASS
 echo "++++ BEGINNING TEST" >$OUTPUTFILE
 
+if false; then
+
 # we need a reference time to scan the audit log from so as not to pick up old
 # results from this test.
 base_date=`date +"%x@%X"`
@@ -81,6 +83,10 @@
 	fi
 fi
 
+else
+marker "Gentoo: skipping test due to system wide modifications"
+fi
+
 echo "++++ FINISHED TEST: $result" >>$OUTPUTFILE
 
 # --- then report the results in the database ---

https://bugs.gentoo.org/522050

--- a/tests/keyctl/padd/useradd/runtest.sh
+++ b/tests/keyctl/padd/useradd/runtest.sh
@@ -40,6 +40,8 @@
 marker "UNLINK KEY"
 unlink_key $keyid @s
 
+if false; then
+
 # add keys with huge payloads
 old_root_quota=`cat /proc/sys/kernel/keys/root_maxbytes`
 if [ $old_root_quota -lt 65536 ]
@@ -76,6 +78,10 @@
     sleep 1
 fi
 
+else
+marker "Gentoo: skipping test due to system wide modifications"
+fi
+
 echo "++++ FINISHED TEST: $result" >>$OUTPUTFILE
 
 # --- then report the results in the database ---
